import request from '@/utils/request'

// 查询考勤组列表
export function listAttendGroup(query) {
  return request({
    url: '/park/attendGroup/list',
    method: 'get',
    params: query
  })
}

// 查询考勤组详细
export function getAttendGroup(id) {
  return request({
    url: '/park/attendGroup/' + id,
    method: 'get'
  })
}

// 新增考勤组
export function addAttendGroup(data) {
  return request({
    url: '/park/attendGroup',
    method: 'post',
    data: data
  })
}

// 修改考勤组
export function updateAttendGroup(data) {
  return request({
    url: '/park/attendGroup',
    method: 'put',
    data: data
  })
}

// 删除考勤组
export function delAttendGroup(id) {
  return request({
    url: '/park/attendGroup/' + id,
    method: 'delete'
  })
}
